CypherResultSubGraph (Neo4j Community 2.1.0-M01 API)
Date: 2014-02-20

org.neo4j.cypher.export

## Class CypherResultSubGraph

- java.lang.Object
- - org.neo4j.cypher.export.CypherResultSubGraph

- All Implemented Interfaces:
    SubGraph

      public class CypherResultSubGraph
      extends Object
      implements SubGraph

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CypherResultSubGraph()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(Node node)`
    `void` | `add(Relationship rel)`
    `boolean` | `contains(Relationship relationship)`
    `static SubGraph` | `from(ExecutionResult result, GraphDatabaseService gds, boolean addBetween)`
    `Iterable<ConstraintDefinition>` | `getConstraints()`
    `Iterable<IndexDefinition>` | `getIndexes()`
    `Collection<Label>` | `getLabels()`
    `Iterable<Node>` | `getNodes()`
    `Iterable<Relationship>` | `getRelationships()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CypherResultSubGraph

          public CypherResultSubGraph()

  - ### Method Detail

    - #### add

          public void add(Node node)

    - #### add

          public void add(Relationship rel)

    - #### from

          public static SubGraph from(ExecutionResult result,
                      GraphDatabaseService gds,
                      boolean addBetween)

    - #### getNodes

          public Iterable<Node> getNodes()

      Specified by:
        `getNodes` in interface `SubGraph`

    - #### getRelationships

          public Iterable<Relationship> getRelationships()

      Specified by:
        `getRelationships` in interface `SubGraph`

    - #### getLabels

          public Collection<Label> getLabels()

    - #### contains

          public boolean contains(Relationship relationship)

      Specified by:
        `contains` in interface `SubGraph`

    - #### getIndexes

          public Iterable<IndexDefinition> getIndexes()

      Specified by:
        `getIndexes` in interface `SubGraph`

    - #### getConstraints

          public Iterable<ConstraintDefinition> getConstraints()

      Specified by:
        `getConstraints` in interface `SubGraph`

Copyright © 2002–2014 The Neo4j Graph Database Project. All rights reserved.